# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(base.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Catalyst-Plugin-Cache-Store-FastMmap
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt3_10

Summary:    A thin wrapper for
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cache/FastMmap.pm)
BuildRequires: perl(Catalyst.pm)
BuildRequires: perl(Catalyst/Plugin/Cache.pm)
BuildRequires: perl(Path/Class.pm)
BuildRequires: perl(Module/Build/Compat.pm)
BuildRequires: perl(Test/Exception.pm)
BuildRequires: perl(Test/use/ok.pm)
BuildArch: noarch
Source44: import.info


%description
This store plugin is a bit of a wrapper for the Cache::FastMmap manpage.

While you could normally just configure with

    backend => {
        class => "Cache::FastMmap",
        share_file => ...,
    }

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.yml README
%perl_vendor_privlib/*

%changelog
* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.02-alt3_10
- update by mgaimport

* Wed Jul 27 2016 Igor Vlasenko <viy@altlinux.ru> 0.02-alt3_9
- update by mgaimport

* Sun Feb 21 2016 Igor Vlasenko <viy@altlinux.ru> 0.02-alt3_8
- update by mgaimport

* Wed Dec 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.02-alt3_7
- update by mgaimport

* Tue Oct 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.02-alt3_5
- update by mgaimport

* Tue Sep 02 2014 Cronbuild Service <cronbuild@altlinux.org> 0.02-alt3_4
- rebuild to get rid of unmets

* Mon Oct 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.02-alt2_4
- mga update

* Fri Sep 13 2013 Cronbuild Service <cronbuild@altlinux.org> 0.02-alt2_3
- rebuild to get rid of unmets

* Wed Aug 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1_3
- mgaimport update

* Thu Jul 25 2013 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1_2
- converted for ALT Linux by srpmconvert tools

